package cn.im.trafficlinkage.service;

 import cn.im.trafficlinkage.dao.TrafficdevicehisstateDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("trafficdevicehisstateService")
public class TrafficdevicehisstateService extends BaseService {
	
	private static Log log = LogFactory.getLog(TrafficdevicehisstateService.class);
	
	@Autowired
	private TrafficdevicehisstateDao trafficdevicehisstateDao;
	
	/**
	 * 保存记录
	 */
	/*
	
	public void insert_Trafficdevicehisstate(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		trafficdevicehisstateDao.insert_Trafficdevicehisstate(map);
	}
	
	*/

	
	/**
	 * 修改记录
	 */
	/*
	
	public Integer update_Trafficdevicehisstate(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return trafficdevicehisstateDao.update_Trafficdevicehisstate(map);
	}
	
	*/
	
	/**
	 * 删除记录
	 */
	 
	/*
	
	public Integer delete_Trafficdevicehisstate(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return trafficdevicehisstateDao.delete_Trafficdevicehisstate(map);
	}
	
	*/
	
	/**
	 * 批处理删除记录
	 */
	 
	/*
	
	public Integer batch_delete_Trafficdevicehisstate(Map map) throws SQLException{
		return trafficdevicehisstateDao.batch_delete_Trafficdevicehisstate(map);
	}
	
	*/
	
	/**
	 * 查询总数
	 */
	 
	/*
	
	public Integer count_Trafficdevicehisstate(Map map) throws SQLException{
		return trafficdevicehisstateDao.count_Trafficdevicehisstate(map);
	}
	
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	/*
	
	public List<Map> query_Trafficdevicehisstate(Map map) throws SQLException{
		return trafficdevicehisstateDao.query_Trafficdevicehisstate(map);
	}
	
	*/
	
	/**
	 * 查询一条
	 */
	 
	/*
	
	public Map get_Trafficdevicehisstate(Map map) throws SQLException{
		return trafficdevicehisstateDao.get_Trafficdevicehisstate(map);
	}
	
	*/
	public Map getExecStateHisState(Map map) throws SQLException{
		return trafficdevicehisstateDao.getExecStateHisState(map);
	}
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	
	public Map exportTrafficdevicehisstate(Map map) throws SQLException{
		return this.listTrafficdevicehisstateByPage(map);
	}
	
	*/
	
	/**
	 * Trafficdevicehisstate 分页
	 */
	 
	/*
	
	public Map listTrafficdevicehisstateByPage(Map map) throws SQLException {
		List<Map> list = trafficdevicehisstateDao.query_Trafficdevicehisstate(map);
		Integer totalCount = trafficdevicehisstateDao.count_Trafficdevicehisstate(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
	*/
}
